Bug 130986 - FILESAVE XLSX Number formats of single data label changed, after spreadsheet was reloaded
Summary: FILESAVE XLSX Number formats of single data label changed, after spreadsheet ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.0.0 target:6.4.3
Keywords: bibisected, bisected, filter:xlsx, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2020-02-27 14:26 UTC by NISZ LibreOffice Team
Modified: 2020-03-11 16:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the original and exported document side by side in Calc (158.05 KB, image/jpeg)
2020-02-27 14:27 UTC, NISZ LibreOffice Team
Details
The original file saved by Calc (6.90 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-02-27 14:28 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-02-27 14:26:55 UTC
Description:
Number formats of single data label changed, after spreadsheet was reloaded with LibreOffice Calc 7.0.0.0.alpha0+ and saved as XLSX.

Steps to Reproduce:
1. Create a column chart in Calc.
2. Insert data labels and check Show values as number option.
3. Choose one data label and format that single data label to another category like Scientific.
4. Save the file as XLSX.
5. Reload or reopen the file.

Actual Results:
Number formats of single data labels changed after the spreadsheet reloaded.

Expected Results:
Number formats of single data labels should remain the same after reloading.


Reproducible: Always


User Profile Reset: No



Additional Info:
Verzió: 7.0.0.0.alpha0+ (x64)
Build az.: cf96cb11e2a46c452a273ded1c66c556118983cf
CPU szálak: 4; OS: Windows 10.0 Build 17134; Felületmegjelenítés: GL; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-02-27 14:27:54 UTC
Created attachment 158231 [details]
Screenshot of the original and exported document side by side in Calc
Comment 2 NISZ LibreOffice Team 2020-02-27 14:28:09 UTC
Created attachment 158232 [details]
The original file saved by Calc
Comment 3 NISZ LibreOffice Team 2020-02-27 14:32:39 UTC
Bibisected using bibisect-win64-6.5 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=e57d90cd4e51a1353eafc87bb29cfe6076704a7c 
author: Balazs Varga <balazs.varga991@gmail.com>	
committer: László Németh <nemeth@numbertext.org>
summary: tdf#129173 tdf#129175 Fix number format of data labels
Comment 4 Commit Notification 2020-03-02 17:37:24 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/94973fa0fa5c1253d8c8bf6b104d9e7123eee923

tdf#130986 Chart OOXML export: fix number format of custom label

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-03-04 09:06:05 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: c57d6d39c80844c9d4c6bfed85cc151e52a67b34
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Balázs Varga, thanks for fixing this issue!!
Comment 6 Commit Notification 2020-03-11 16:00:11 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/1b799539cd36a5d916402000d194b86001291461

tdf#130986 Chart OOXML export: fix number format of custom label

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.